// file: que_set_0.cc
//

// isip include files
//
#include "question.h"
#include "question_constants.h"

// method: set_attribute_cc
//
// arguments:
//        attribute: (input) name of the question
//
// return : a logical value showing status
//
// this is the method to set attribute of a Question object
//
logical_1 Question::set_attribute_cc(char_1* attribute_a) {

  if (attribute_d != (char_1*)NULL) {
    delete [] attribute_d;
  }
  attribute_d = new char_1[strlen((char*)attribute_a)+1];
  strcpy((char*)attribute_d, (char*)attribute_a);
  return ISIP_TRUE;
 
}
  
